summaryrefslogtreecommitdiff
path: root/pkg/osx/install/install-leapc.sh
diff options
context:
space:
mode:
authorTomás Touceda <chiiph@leap.se>2013-03-21 14:51:58 -0300
committerTomás Touceda <chiiph@leap.se>2013-03-21 14:51:58 -0300
commit2b53c03c9acf42b240a57901ae1e6d4046f52fb2 (patch)
tree46d8f0e4e4665835f319103149fb7e419162fae5 /pkg/osx/install/install-leapc.sh
parent344abd42c6b480a783ee05b6e92532a1113a86d2 (diff)
parent9dace17a4b162c3fbef9909b6f8226903b0ad445 (diff)
Merge remote-tracking branch 'kali/feature/osx-eip-rewrite' into develop
Diffstat (limited to 'pkg/osx/install/install-leapc.sh')
-rwxr-xr-xpkg/osx/install/install-leapc.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/pkg/osx/install/install-leapc.sh b/pkg/osx/install/install-leapc.sh
new file mode 100755
index 00000000..ec3c2834
--- /dev/null
+++ b/pkg/osx/install/install-leapc.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+# LEAP CLient Installer Script.
+#
+# Copyright (C) 2013 LEAP Encryption Access Project
+#
+# This file is part of LEAP Client, as
+# available from http://leap.se/. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# LEAP Client distribution. LEAP Client is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+
+set -e
+
+destlibs=/opt/local/lib
+leapdir=/Applications/LEAP\ Client.app
+leaplibs=${leapdir}/Contents/MacOS
+tunstartup=/Library/StartupItems/tun/tun
+
+echo "Installing LEAP Client in /Applications..."
+cp -r "LEAP Client.app" /Applications
+
+echo "Copying openvpn binary..."
+cp -r openvpn.leap /usr/bin
+
+echo "Installing tun/tap drivers..."
+test -f $tunstartup && $tunstartup stop
+
+test -d /Library/Extensions || mkdir -p /Library/Extensions
+test -d /Library/StartupItems || mkdir -p /Library/StartupItems
+
+cp -r Extensions/* /Library/Extensions
+cp -r StartupItems/* /Library/StartupItems
+
+echo "Loading tun/tap kernel extension..."
+
+$tunstartup start
+
+echo "Installation Finished!"